package semfly.tests;

import semfly.tests.coordination.ScheduleReaderTest;
import junit.framework.*;
import junit.textui.TestRunner;
import semfly.tests.net.WebSiteLoaderTest;
/**
 * @author Szymon Pisarek (szymekpi@o2.pl)
 *
 * This class is responsible for running all JUnit test for the CCS.
 */
public class AllTests
{
    public static void main(String[] args)
    {
        TestRunner.run(AllTests.class);
    }
    
    public static Test suite()
    {
        TestSuite suite = new TestSuite("semfly test suite");
        
        suite.addTest(semfly.tests.db.AllTests.suite());
        suite.addTest(semfly.tests.behaviours.AllTests.suite());
        suite.addTestSuite(ScheduleReaderTest.class);
        suite.addTestSuite(WebSiteLoaderTest.class);
        
        return suite;
    }
}
